summaryrefslogtreecommitdiffstats
path: root/source/a/upower
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/upower')
-rw-r--r--source/a/upower/patches/upower.glib_2_58_1.diff22
-rwxr-xr-xsource/a/upower/upower.SlackBuild7
2 files changed, 27 insertions, 2 deletions
diff --git a/source/a/upower/patches/upower.glib_2_58_1.diff b/source/a/upower/patches/upower.glib_2_58_1.diff
new file mode 100644
index 000000000..466fc71d5
--- /dev/null
+++ b/source/a/upower/patches/upower.glib_2_58_1.diff
@@ -0,0 +1,22 @@
+--- ./libupower-glib/up-wakeups.c.orig 2013-10-18 09:41:24.000000000 -0500
++++ ./libupower-glib/up-wakeups.c 2018-11-20 23:07:29.603065864 -0600
+@@ -185,7 +185,7 @@
+ return array;
+ }
+
+-#pragma GCC diagnostic error "-Wdeprecated-declarations"
++#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
+
+ /**
+ * up_wakeups_ensure_properties:
+--- ./libupower-glib/up-device.c.orig 2013-10-18 09:41:24.000000000 -0500
++++ ./libupower-glib/up-device.c 2018-11-20 23:07:24.435066237 -0600
+@@ -748,7 +748,7 @@
+ return array;
+ }
+
+-#pragma GCC diagnostic error "-Wdeprecated-declarations"
++#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
+
+ /*
+ * up_device_set_property:
diff --git a/source/a/upower/upower.SlackBuild b/source/a/upower/upower.SlackBuild
index 6276e9c72..5be5589d4 100755
--- a/source/a/upower/upower.SlackBuild
+++ b/source/a/upower/upower.SlackBuild
@@ -99,8 +99,11 @@ zcat $CWD/patches/Fix-HID-rules-header-as-per-discussions.patch.gz | patch -p1 -
zcat $CWD/patches/Update-UPower-HID-rules-supported-devices-list.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/patches/rules-Add-support-for-Logitech-G700s-G700-Gaming-Mou.patch.gz | patch -p1 --verbose || exit 1
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+# Don't fail on deprecated delarations:
+zcat $CWD/patches/upower.glib_2_58_1.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS -Wno-error=deprecated-declarations" \
+CXXFLAGS="$SLKCFLAGS -Wno-error=deprecated-declarations" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \